'use strict';

// ハンバーガーメニューの設定
// ID「burger」の取得
const burger = document.getElementById('burger');
// メニューのタイトル（menu）を取得
const menuText = document.getElementById('menuText');
// ヘッダーメニューのクラス要素を取得
const menu = document.querySelector('header > div > .menu');

// ハンバーガーメニューのクリックでヘッダーメニューを開閉
burger.addEventListener('click', () => {
    burger.classList.toggle('active');
    menu.classList.toggle('active');
    // メニュー内のテキストが「menu」だったら「close」、そうでなかったら「menu」を書き込む
    if (menuText.textContent === 'menu') {
        menuText.textContent = ('close');
    } else {
        menuText.textContent = ('menu');
    }
});


// サブメニューを持つメニューの要素「menu-item-has-children」を取得
const hasChild = document.querySelectorAll('.menu > .menu-item-has-children');

for(let i = 0; i < hasChild.length; i++){
    // 「menu-item-has-children」のそれぞれに対して「div」を生成
  const div = document.createElement("div");
    // 「div」内にFontAwesomeのアイコンを設置
  div.innerHTML = '<i class="fa-solid fa-circle-down"></i>';
    // 「div」を 「menu-item-has-children」の子要素にする
  hasChild[i].appendChild(div);
}

// さきほどのdivをボタンにするために取得
const subBtn = document.querySelectorAll('.menu > .menu-item-has-children div');
// サブメニューを取得
const subMenu  = document.querySelectorAll('.menu > .menu-item > .sub-menu');

// ボタンのi番目をクリックすると、サブメニューのi番目が開閉する
for (let i = 0; i < subBtn.length; i++ )  {
    subBtn[i].addEventListener('click', () => {
    subMenu[i].classList.toggle('active');
    // ボタンのi番目のアイコンが下向きだったら上向きに、そうでなかったら上向きに変更する
    if(subBtn[i].innerHTML === '<i class="fa-solid fa-circle-down"></i>') {
        subBtn[i].innerHTML = '<i class="fa-solid fa-circle-up"></i>' ;
    } else { 
        subBtn[i].innerHTML = '<i class="fa-solid fa-circle-down"></i>';
    }
    });
}

// サブメニューのサブメニューを持つメニューの要素「menu-item-has-children」を取得
const subHasChild = document.querySelectorAll('.menu > .menu-item-has-children > .sub-menu > .menu-item-has-children');


for(let i = 0; i < subHasChild.length; i++){
        // ２階層目のmenu-item-has-children」のそれぞれに対して「div」を生成
    const div = document.createElement("div");
        // ２階層目の「div」内にFontAwesomeのアイコンを設置
    div.innerHTML = '<i class="fa-solid fa-circle-down"></i>';
        // ２階層目の「div」を 「menu-item-has-children」の子要素にする
    subHasChild[i].appendChild(div);
}

// ２階層目のdivをボタンにするために取得
const subSubBtn = document.querySelectorAll('.menu > .menu-item-has-children >  .sub-menu > .menu-item-has-children > div');
// サブメニューのサブメニューを取得
const subSubMenu  = document.querySelectorAll('.menu > .menu-item > .sub-menu > .menu-item > .sub-menu');


// ボタンのj番目をクリックすると、サブメニューのj番目が開閉する
for (let j = 0; j < subSubBtn.length; j++ )  {
    subSubBtn[j].addEventListener('click', () => {
    subSubMenu[j].classList.toggle('active');
        // ボタンのi番目のアイコンが下向きだったら上向きに、そうでなかったら上向きに変更する
    if(subSubBtn[j].innerHTML === '<i class="fa-solid fa-circle-down"></i>') {
        subSubBtn[j].innerHTML = '<i class="fa-solid fa-circle-up"></i>' ;
    } else { 
        subSubBtn[j].innerHTML = '<i class="fa-solid fa-circle-down"></i>';
    }
    });
}

// トップへ戻るボタンのIDを取得
const back = document.getElementById('back');

// 下に100pxスクロールしたら、ボタンが現れ、そうでなかったら、ボタンが消える
window.addEventListener('scroll', () => {
    const scloll_y = window.scrollY;
    if(scloll_y > 100) {
        back.classList.add('active');
    } else {
        back.classList.remove('active');
    }
});